#if !defined(AFX_SYSPARASET_H__03923792_9461_4301_B3ED_7B6E9437B873__INCLUDED_)
#define AFX_SYSPARASET_H__03923792_9461_4301_B3ED_7B6E9437B873__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SYSPARASET.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// SYSPARASET dialog

class SYSPARASET : public CDialog
{
// Construction
public:
	SYSPARASET(CWnd* pParent = NULL);   // standard constructor
	void ShowSystemParam();
	void RefSysParam();
// Dialog Data
	//{{AFX_DATA(SYSPARASET)
	enum { IDD = IDD_SYSPARASET };
	double	m_fHomeStart;
	double	m_fHomeSpeed;
	double	m_fHomeAdd;
	double	m_fSearch;
	double	m_fRang;
	double	m_fWorkStart;
	double	m_fWorkSpeed;
	double	m_fWorkAdd;
	int		m_nPulseMode;
	int		m_nPulseLog;
	int		m_nDirLogic;
	int		m_nLimitLevel;
	BOOL	m_bLimitN;
	BOOL	m_bLimitP;
	int		m_homestep;
	BOOL	m_bZPhasic;
	int		m_nZPhasicLevel;
	int		m_nHomeLevel;
	int		m_axis;
	BOOL	m_homeaxis;
	BOOL	m_bHome;
	int		m_mmlPusle;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SYSPARASET)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(SYSPARASET)
	virtual BOOL OnInitDialog();
	afx_msg void OnAxisx();
	afx_msg void OnAxisy();
	afx_msg void OnAxisz();
	afx_msg void OnAxisa();
	afx_msg void OnRadio5();
	afx_msg void OnRadio6();
	afx_msg void OnRadio8();
	afx_msg void OnRadio9();
	afx_msg void OnRadio10();
	afx_msg void OnRadio11();
	afx_msg void OnChangeEdit12();
	afx_msg void OnButton2();
	afx_msg void OnButton1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SYSPARASET_H__03923792_9461_4301_B3ED_7B6E9437B873__INCLUDED_)
